[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TDataIteratorCallBack

Data iterator CallBack.

## Declaration

Source position: contnrs.pp line 415

`type TDataIteratorCallBack = procedure(`
`Item: Pointer;`
`const Key: string;`
`var Continue: Boolean`
`);`

## Arguments

`Item` |  | Data pointer item
`Key` |  | Key associated with item
`Continue` |  | Continue iterating or stop iteration

## Description

TDataIteratorCallBack is a callback prototype for the TFPDataHashTable.Iterate static CallBack. It is called for each data pointer in the hash list, passing the key (key) and data pointer (item) for each item in the list. If Continue is set to false, the iteration stops.

## See also

TFPDataHashTable.Iterate |  | Iterate over the pointers in the hash table